# Spaces Object

> Source: https://truto.one/docs/api-reference/unified-knowledge-base-api/spaces/

Schema for the `Spaces` resource in **Unified Knowledge Base API**.

## Properties

- **`id`** _(string, required)_
  The unique identifier for the space
- **`identifier`** _(string)_
  A human readable identifier for the space. Usually is a shortened version on the name.
- **`name`** _(string)_
  The name of the space
- **`description`** _(string)_
  The description of the space
- **`status`** _(string)_
  The status of the space
  Allowed: `active`, `archived`
- **`urls`** _(array<object>)_
  The urls of the space
  - **`url`** _(string)_
    The url of the space
  - **`type`** _(string)_
    The type of the url
    Allowed: `view`, `edit`, `public_view`
- **`created_at`** _(string)_
  The date and time the space was created
- **`updated_at`** _(string)_
  The date and time the space was last updated
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/knowledge-base/spaces](/docs/api-reference/unified-knowledge-base-api/spaces/list) — List Spaces
- [GET /unified/knowledge-base/spaces/{id}](/docs/api-reference/unified-knowledge-base-api/spaces/get) — Get Spaces
